Apache Tomcat 6.0.51

## org.apache.catalina.deploy
Class ContextLocalEjb

    java.lang.Object
      org.apache.catalina.deploy.ResourceBase
          org.apache.catalina.deploy.ContextLocalEjb

All Implemented Interfaces:
  java.io.Serializable

    public class ContextLocalEjb

extends ResourceBase
implements java.io.Serializable

Representation of a local EJB resource reference for a web application, as represented in a `<ejb-local-ref>` element in the deployment descriptor.

Author:
  Craig R. McClanahan, Peter Rossbach (pero@apache.org)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.catalina.deploy.ResourceBase
`resources`

Constructor Summary
`ContextLocalEjb()`

Method Summary
`java.lang.String` | `getHome()`
`java.lang.String` | `getLink()`
`java.lang.String` | `getLocal()`
`void` | `setHome(java.lang.String home)`
`void` | `setLink(java.lang.String link)`
`void` | `setLocal(java.lang.String local)`
`java.lang.String` | `toString()` Return a String representation of this object.

Methods inherited from class org.apache.catalina.deploy.ResourceBase
`getDescription, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setName, setProperty, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextLocalEjb

    public ContextLocalEjb()

Method Detail

### getHome

    public java.lang.String getHome()

### setHome

    public void setHome(java.lang.String home)

### getLink

    public java.lang.String getLink()

### setLink

    public void setLink(java.lang.String link)

### getLocal

    public java.lang.String getLocal()

### setLocal

    public void setLocal(java.lang.String local)

### toString

    public java.lang.String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.